
Figure - Bug #118278
【BSP】【EVT3】【ST】【tlog】0103 版本，偶现tlog勾选tcpdump抓取日志后，没有tcpdump日志生成
2023-05-26 17:55 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-05-26

Priority: Normal Due date: 2023-05-27

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0103

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-05-27

Test Type: ST Root cause: 当tlog的apk因为进入屏保被杀掉后，再次进入tlog的apk点击stop不会设置相应的属性为0，导致没有tcpdump文件

Description

【前提条件】

None

【测试步骤】

1. 烧写0100版本

2. OTA升级后到0103版本

3. *#147#，勾选tcpdump

4. 抓取日志并导出

5. 查看日志

【预期结果】

5. 有tcpdump日志文件生成

【实际结果】

5. 偶现没有tcpdump日志生成

History

#1 - 2023-05-26 22:09 - CD SYSTEM-夏旭

- Due date set to 2023-05-27

■目前进展

调查发现不管是tcpdump，其他的log也有这样的情况

在选择要抓取的log之后，点击开始，回到桌面，大概过一分钟，进入屏保，唤醒屏幕再点进apk，点击停止

查看log发现在点击开始的时候有设置对应的属性为1，但是点击停止的时候并没有设置属性为0，查看属性还是1，相关进程还在

tcpdump要在点击停止后才会修改文件的权限，不然打包将不能打包tcpdump文件

■下一步计划

分析为什么没有将属性设置为0

#2 - 2023-05-27 13:43 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203046 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com
SYSTEM :Tlog: Unable to obtain tcpdump logWhen clicking to stop, the attribute of tcpdump was not set to 0,resulting in no tcpdump file during

packagingTC-RID: 1200-0800102IssueID: TS-R-DF-118278Change-Id: Id3c081a55d407c818d6bbaf5f9f263b5ad1df1ac

#3 - 2023-05-27 13:49 - CD SYSTEM-夏旭

- Status changed from New to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-27

- Root cause set to 当tlog的apk因为进入屏保被杀掉后，再次进入tlog的apk点击stop不会设置相应的属性为0，导致没有tcpdump文件

■目前进展

当tlog的apk因为进入屏保被杀掉后，再次进入tlog的apk点击stop不会设置相应的属性为0，

导致没有修改tcpdump文件的权限，压缩包中就不会有tcpdump的文件

■下一步计划

测试验证

#4 - 2023-06-08 15:14 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证10次未复现，先关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306071130

#5 - 2023-06-08 15:14 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
